Delete Infra Policy

Delete Infra Policy
Delete an infra policy.

Deletes an infra policy. The deletion is performed asynchronously and returns a task.

Request
URI
DELETE
https://{api_host}/cloudapi/v1/infraPolicies/{urn}
COPY
Path Parameters
string
urn
Required

The URN of the compute policy to delete.

Query Parameters
boolean
force
Optional

If true, the infra policy will be forcefully deleted even if it cannot be deleted from one or more vCenters. Any vCenter deletion errors will be ignored and the database record will be cleaned up. If false (default), the deletion will fail if the infra policy cannot be deleted from any vCenter, and the database record will be preserved.


Authentication
This operation uses the following authentication methods.
Responses
202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/infraPolicies/{urn}